From 13bced45c7b6ab063ff7e8a3880768f637c92c6c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Sun, 25 Mar 2012 11:55:19 +0200
Subject: [PATCH 2/4] contrib/bootstrap: fixed check for iOS

---
 contrib/bootstrap |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)

diff --git a/contrib/bootstrap b/contrib/bootstrap
index 9266fd6..907b705 100755
--- a/contrib/bootstrap
+++ b/contrib/bootstrap
@@ -190,17 +190,15 @@ test -z "$ENABLE_SMALL" || add_make_enabled "ENABLE_SMALL"
 #
 OS="${HOST#*-}" # strip architecture
 case "${OS}" in
-	arm-apple-darwin*)
-		check_ios_sdk
-		add_make_enabled "HAVE_IOS" "HAVE_DARWIN_OS" "HAVE_BSD"
-		;;
-	*86*-apple-darwin*)
-		check_macosx_sdk
-		add_make_enabled "HAVE_MACOSX" "HAVE_DARWIN_OS" "HAVE_BSD"
-		;;
-	powerpc-apple-darwin*)
-		check_macosx_sdk
-		add_make_enabled "HAVE_MACOSX" "HAVE_DARWIN_OS" "HAVE_BSD"
+	apple-darwin*)
+		if test -z "$BUILDFORIOS"
+		then
+			check_macosx_sdk
+			add_make_enabled "HAVE_MACOSX" "HAVE_DARWIN_OS" "HAVE_BSD"
+		else
+			check_ios_sdk
+			add_make_enabled "HAVE_IOS" "HAVE_DARWIN_OS" "HAVE_BSD"
+		fi
 		;;
 	*bsd*)
 		add_make_enabled "HAVE_BSD"
-- 
1.7.7.5 (Apple Git-26)

